package net.northking.cctp.upperComputer.entity;

import java.io.Serializable;
import java.util.Date;

public class CdDeviceCtrl implements Serializable {
    /**
     * 主键id<br>
     */
    private String id;
    /**
     * 上位机名称<br>
     */
    private String ctrlName;
    /**
     * 上位机ip<br>
     */
    private String ctrlIp;
    /**
     * 上位机位置<br>
     */
    private String ctrlAddr;
    /**
     * 上位机端口<br>
     */
    private String ctrlPort;
    /**
     * appium端口<br>
     */
    private String appiumPort;
    /**
     * 上位机状态<br>
     */
    private String ctrlStatus;
    /**
     * 接入设备上限<br>
     */
    private Integer ctrlUpLimit;
    /**
     * 备注<br>
     */
    private String remark;
    /**
     * 注册时间<br>
     */
    private Date createdTime;
    /**
     * 更新人<br>
     */
    private String updatedBy;
    /**
     * 更新时间<br>
     */
    private Date updatedTime;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCtrlName() {
        return ctrlName;
    }

    public void setCtrlName(String ctrlName) {
        this.ctrlName = ctrlName;
    }

    public String getCtrlIp() {
        return ctrlIp;
    }

    public void setCtrlIp(String ctrlIp) {
        this.ctrlIp = ctrlIp;
    }

    public String getCtrlAddr() {
        return ctrlAddr;
    }

    public void setCtrlAddr(String ctrlAddr) {
        this.ctrlAddr = ctrlAddr;
    }

    public String getCtrlPort() {
        return ctrlPort;
    }

    public void setCtrlPort(String ctrlPort) {
        this.ctrlPort = ctrlPort;
    }

    public String getAppiumPort() {
        return appiumPort;
    }

    public void setAppiumPort(String appiumPort) {
        this.appiumPort = appiumPort;
    }

    public String getCtrlStatus() {
        return ctrlStatus;
    }

    public void setCtrlStatus(String ctrlStatus) {
        this.ctrlStatus = ctrlStatus;
    }

    public Integer getCtrlUpLimit() {
        return ctrlUpLimit;
    }

    public void setCtrlUpLimit(Integer ctrlUpLimit) {
        this.ctrlUpLimit = ctrlUpLimit;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }
}
